# jconsole - Java Monitoring and Management Console

- Synopsis
- Description
- Options
- See Also

## SYNOPSIS

    jconsole [ options ] [ pid | [ host:port ]]

pid
  Process ID of a local Java VM that was started with the system property `com.sun.management.jmxremote`. The Java VM must be running with the same user ID as the user ID running jconsole. See JMX Monitoring and Management for details.
host:port
  Name of the host system on which the Java VM is running and the port number specified by the system property `com.sun.management.jmxremote.port` when the JVM was started. See JMX Monitoring and Management for details.

## DESCRIPTION

The jconsole command launches a graphical console tool that enables you to monitor and manage Java applications and virtual machines on a local or remote machine.

NOTE: This tool is experimental and may not be available in future versions of the JDK.

## OPTIONS

-interval=n
  Set the update interval to n seconds (default is 4 seconds).
-notile
  Do not tile windows initially (for two or more connections).
-version
  Output version information and exit.
-help
  Output help message and exit.

## SEE ALSO

- Monitoring and Management for Java Platform

Copyright © 2004 Sun Microsystems, Inc. All Rights Reserved. | Java Software